# $Revision: 1.41 $, $Date: 2008/07/27 22:43:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	VecStat
Summary:	Math::VecStat - some basic statistics on vectors (min,max,average,...)
Summary(pl.UTF-8):	Math::VecStat - podstawowe statystyki na wektorach (min,max,średnia,...)
Name:		perl-Math-VecStat
Version:	0.08
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3df23fb451f73bb49fd4ea344ba94020
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides some basic statistics on numerical vectors. All
the subroutines can take a reference to the vector to be operated on.
In some cases a copy of the vector is acceptable, but is not
recommended for efficiency.

%description -l pl.UTF-8
Ten pakiet dostarcza kilku podstawowych statystyk na wektorach
liczbowych. Wszystkie funkcje mogą przyjąć referencję do wektora, na
którym mają operować. W niektóych przypadkach kopia wektora jest
akceptowalna, ale nie jest to zalecane ze względu na wydajność.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Math/VecStat.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-VecStat.spec,v $
Revision 1.41  2008/07/27 22:43:36  arekm
- release 2

Revision 1.40  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:40  baggins
- converted to UTF-8

Revision 1.38  2004/11/03 22:30:35  paladine
- formatting

Revision 1.37  2004/05/06 18:20:42  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/25 06:25:09  ankry
- cosmetics: unification

Revision 1.35  2004/04/23 07:39:17  ankry
- tests added

Revision 1.34  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.33  2003/09/03 20:56:28  adamg
- updated to 0.8

Revision 1.32  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:36:53  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/08/16 18:54:40  qboosh
- pl description, release++

Revision 1.24  2002/08/11 19:36:48  radek
- release up

Revision 1.23  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.22  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:01:34  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:55  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:28:56  depesz
adapterized

Revision 1.14  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:13:00  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/04 14:09:24  kloczek
- updated to 0.05.

Revision 1.9  2001/01/19 01:59:27  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.8  2001/01/13 00:49:27  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
